<?xml version='1.0' encoding='UTF-8' ?>

<!--
IGAC proyecto SNC

@author javier.barajas
@CU-TV-PR-0001 Ingreso de Solicitudes Generacion de Productos
@description Composite component para la lista de productos solicitados
@param	managedBeanParam:  Nombre del ManagedBean del que se obtendran los parametros por defecto (ingresaProductosCatastrales)
@version 1.0
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="detalleSolicitudEd" columns="1"
             cellspacing="5" width="100%">

    <p:dataTable id="listaProductosAsociados" var="productosCatas" value="#{managedBeanParam.listaProductosCatasList}" 
                 rendered="#{managedBeanParam.renderedListaProductosSolicitados}" 
                 rowKey="#{productosCatas}" selection="#{managedBeanParam.seleccionProductoCatastral}">  

        <p:ajax event="rowSelect"
                update=":cpCC:datosSolicitudProductosForm" 
                listener="#{managedBeanParam.validaSeleccionProductoCatastral}"
                process="@form"/>

        <f:facet name="header">  
            Productos Asociados  
        </f:facet>  
        <p:column selectionMode="multiple" />  

        <p:column id="codigo" headerText="Código" >  
            <h:outputText value="#{productosCatas.producto.codigo}"/>  
        </p:column>
        <p:column id="descripcionProducto" headerText="Descripcion Producto" >  
            <h:outputText value="#{productosCatas.producto.nombre}"/>  
        </p:column>
        <p:column id="cantidad" headerText="Cantidad" >  
            <h:outputText value="#{productosCatas.cantidad}"/>  
        </p:column>
        <p:column id="revisionAprovada" headerText="Revisión Aprobada" >  
            <p:selectBooleanCheckbox value="" />
        </p:column>   

    </p:dataTable>   
    <h:panelGrid cellspacing="3" columns="3">

        <p:commandButton value="Adicionar Producto"	oncomplete="adicionProductosDlgWV.show()" 
                         process="@this"/>

        <p:commandButton id="btnRetirarProd" value="Retirar Producto" process="@this"
                         rendered="#{managedBeanParam.renderedRetirarYmodificar}"
                         action="#{managedBeanParam.eliminarProductoCatastralLista}"/>

        <p:commandButton id="btnModificarProd" value="Modificar Producto"
                         process="@form" oncomplete="modificaProductosDlgWV.show()" 
                         rendered="#{managedBeanParam.renderedRetirarYmodificar}"/>
    </h:panelGrid>



</h:panelGrid>